---
components:
  headers:
    HeaderRateLimitLimit:
      description: The maximum number of requests that a user can make within a specific
        time window.
      schema:
        type: integer
    HeaderRateLimitRemaining:
      description: The number of requests remaining in the current rate limit window
        before the limit is reached.
      schema:
        type: integer
    HeaderRetryAfter:
      description: The minimum time you should wait, in seconds, before retrying the
        API request. This header might be returned for 429 or 503 error responses.
      schema:
        type: integer
  parameters:
    collectionName:
      description: Human-readable label that identifies the collection.
      in: path
      name: collectionName
      required: true
      schema:
        example: mycoll
        type: string
    databaseName:
      description: Human-readable label that identifies the database.
      in: path
      name: databaseName
      required: true
      schema:
        example: mydb
        type: string
    end:
      description: Date and time when MongoDB Cloud stops reporting the metrics. This
        parameter expresses its value in the ISO 8601 timestamp format in UTC. Include
        this parameter when you do not set **period**.
      in: query
      name: end
      schema:
        format: date-time
        type: string
    envelope:
      description: Flag that indicates whether Application wraps the response in an
        `envelope` JSON object. Some API clients cannot access the HTTP response headers
        or status code. To remediate this, set envelope=true in the query. Endpoints
        that return a list of results use the results object as an envelope. Application
        adds the status parameter to the response body.
      in: query
      name: envelope
      schema:
        default: false
        type: boolean
    federationSettingsId:
      description: Unique 24-hexadecimal digit string that identifies your federation.
      in: path
      name: federationSettingsId
      required: true
      schema:
        example: 55fa922fb343282757d9554e
        pattern: "^([a-f0-9]{24})$"
        type: string
    granularity:
      description: Duration that specifies the interval at which Atlas reports the
        metrics. This parameter expresses its value in the ISO 8601 duration format
        in UTC.
      in: query
      name: granularity
      required: true
      schema:
        example: PT1M
        type: string
    groupId:
      description: |-
        Unique 24-hexadecimal digit string that identifies your project. Use the [/groups](#tag/Projects/operation/listProjects) endpoint to retrieve all projects to which the authenticated user has access.

        **NOTE**: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups.
      in: path
      name: groupId
      required: true
      schema:
        example: 32b6e34b3d91647abb20e7b8
        pattern: "^([a-f0-9]{24})$"
        type: string
    identityProviderId:
      description: Legacy 20-hexadecimal digit string that identifies the identity
        provider. This id can be found within the Federation Management Console >
        Identity Providers tab by clicking the info icon in the IdP ID row of a configured
        identity provider.
      in: path
      name: identityProviderId
      required: true
      schema:
        example: c2777a9eca931f29fc2f
        pattern: "^([a-f0-9]{20})$"
        type: string
    includeCount:
      description: Flag that indicates whether the response returns the total number
        of items (`totalCount`) in the response.
      in: query
      name: includeCount
      schema:
        default: true
        type: boolean
    indexName:
      description: Human-readable label that identifies the index.
      in: path
      name: indexName
      required: true
      schema:
        example: myindex
        type: string
    itemsPerPage:
      description: Number of items that the response returns per page.
      in: query
      name: itemsPerPage
      schema:
        default: 100
        maximum: 500
        minimum: 1
        type: integer
    liveMigrationId:
      description: Unique 24-hexadecimal digit string that identifies the migration.
      in: path
      name: liveMigrationId
      required: true
      schema:
        example: 6296fb4c7c7aa997cf94e9a8
        pattern: "^([a-f0-9]{24})$"
        type: string
    orgId:
      description: Unique 24-hexadecimal digit string that identifies the organization
        that contains your projects. Use the [`/orgs`](#tag/Organizations/operation/listOrganizations)
        endpoint to retrieve all organizations to which the authenticated user has
        access.
      in: path
      name: orgId
      required: true
      schema:
        example: 4888442a3354817a7320eb61
        pattern: "^([a-f0-9]{24})$"
        type: string
    pageNum:
      description: Number of the page that displays the current set of the total objects
        that the response returns.
      in: query
      name: pageNum
      schema:
        default: 1
        minimum: 1
        type: integer
    period:
      description: Duration over which Atlas reports the metrics. This parameter expresses
        its value in the ISO 8601 duration format in UTC. Include this parameter when
        you do not set **start** and **end**.
      in: query
      name: period
      schema:
        example: PT10H
        type: string
    pretty:
      description: Flag that indicates whether the response body should be in the
        prettyprint format.
      in: query
      name: pretty
      schema:
        default: false
        externalDocs:
          description: Prettyprint
          url: https://en.wikipedia.org/wiki/Prettyprint
        type: boolean
    processId:
      description: Combination of hostname and IANA port that serves the MongoDB process.
        The host must be the hostname, fully qualified domain name (FQDN), or Internet
        Protocol address (IPv4 or IPv6) of the host that runs the MongoDB process
        (mongod or mongos). The port must be the IANA port on which the MongoDB process
        listens for requests.
      in: path
      name: processId
      required: true
      schema:
        example: my.host.name.com:27017
        pattern: "^([0-9]{1,3}\\.){3}[0-9]{1,3}|([0-9a-f]{1,4}\\:){7}([0-9a-f]{1,4})|(([a-z0-9]+\\.){1,10}[a-z]+)?(\\:[0-9]{4,5})$"
        type: string
    sandboxConfigId:
      description: Unique 24-hexadecimal digit string that identifies the sandbox
        configuration.
      in: path
      name: sandboxConfigId
      required: true
      schema:
        example: 507f1f77bcf86cd799439011
        pattern: "^([a-f0-9]{24})$"
        type: string
    start:
      description: Date and time when MongoDB Cloud begins reporting the metrics.
        This parameter expresses its value in the ISO 8601 timestamp format in UTC.
        Include this parameter when you do not set **period**.
      in: query
      name: start
      schema:
        format: date-time
        type: string
  responses:
    accepted:
      description: Accepted.
    badRequest:
      content:
        application/json:
          example:
            detail: "(This is just an example, the exception may not be related to
              this endpoint) No provider AWS exists."
            error: 400
            errorCode: VALIDATION_ERROR
            reason: Bad Request
          schema:
            "$ref": "#/components/schemas/ApiError"
      description: Bad Request.
    conflict:
      content:
        application/json:
          example:
            detail: "(This is just an example, the exception may not be related to
              this endpoint) Cannot delete organization link while there is active
              migration in following project ids: 60c4fd418ebe251047c50554"
            error: 409
            errorCode: CANNOT_DELETE_ORG_ACTIVE_LIVE_MIGRATION_ATLAS_ORG_LINK
            reason: Conflict
          schema:
            "$ref": "#/components/schemas/ApiError"
      description: Conflict.
    forbidden:
      content:
        application/json:
          example:
            detail: "(This is just an example, the exception may not be related to
              this endpoint)"
            error: 403
            errorCode: CANNOT_CHANGE_GROUP_NAME
            reason: Forbidden
          schema:
            "$ref": "#/components/schemas/ApiError"
      description: Forbidden.
    gone:
      content:
        application/json:
          example:
            detail: This happens when a resource is marked for sunset and the sunset
              date is in the past.
            error: 410
            errorCode: VERSION_GONE
            reason: Gone
          schema:
            "$ref": "#/components/schemas/ApiError"
      description: Gone.
    internalServerError:
      content:
        application/json:
          example:
            detail: "(This is just an example, the exception may not be related to
              this endpoint)"
            error: 500
            errorCode: UNEXPECTED_ERROR
            reason: Internal Server Error
          schema:
            "$ref": "#/components/schemas/ApiError"
      description: Internal Server Error.
    methodNotAllowed:
      content:
        application/json:
          example:
            detail: "(This is just an example, the exception may not be related to
              this endpoint)"
            error: 405
            errorCode: ATLAS_BACKUP_CANCEL_SHARD_RESTORE_JOB_NOT_ALLOWED
            reason: Method Not Allowed
          schema:
            "$ref": "#/components/schemas/ApiError"
      description: Method Not Allowed.
    noBody:
      description: This endpoint does not return a response body.
    notFound:
      content:
        application/json:
          example:
            detail: "(This is just an example, the exception may not be related to
              this endpoint) Cannot find resource AWS"
            error: 404
            errorCode: RESOURCE_NOT_FOUND
            reason: Not Found
          schema:
            "$ref": "#/components/schemas/ApiError"
      description: Not Found.
    paymentRequired:
      content:
        application/json:
          example:
            detail: "(This is just an example, the exception may not be related to
              this endpoint)"
            error: 402
            errorCode: NO_PAYMENT_INFORMATION_FOUND
            reason: Payment Required
          schema:
            "$ref": "#/components/schemas/ApiError"
      description: Payment Required.
    tooManyRequests:
      content:
        application/json:
          example:
            detail: "(This is just an example, the exception may not be related to
              this endpoint)"
            error: 429
            errorCode: RATE_LIMITED
            reason: Too Many Requests
          schema:
            "$ref": "#/components/schemas/ApiError"
      description: Too Many Requests.
      headers:
        RateLimit-Limit:
          "$ref": "#/components/headers/HeaderRateLimitLimit"
        RateLimit-Remaining:
          "$ref": "#/components/headers/HeaderRateLimitRemaining"
        Retry-After:
          "$ref": "#/components/headers/HeaderRetryAfter"
    unauthorized:
      content:
        application/json:
          example:
            detail: "(This is just an example, the exception may not be related to
              this endpoint)"
            error: 401
            errorCode: NOT_ORG_GROUP_CREATOR
            reason: Unauthorized
          schema:
            "$ref": "#/components/schemas/ApiError"
      description: Unauthorized.
  schemas:
    AWSAccountDetails:
      properties:
        awsAccountId:
          description: The AWS Account ID.
          type: string
        cidrBlock:
          description: The VPC CIDR Block.
          type: string
        cloudProvider:
          description: Cloud provider.
          type: string
        links:
          description: List of one or more Uniform Resource Locators (URLs) that point
            to API sub-resources, related API resources, or both. RFC 5988 outlines
            these relationships.
          externalDocs:
            description: Web Linking Specification (RFC 5988)
            url: https://datatracker.ietf.org/doc/html/rfc5988
          items:
            "$ref": "#/components/schemas/Link"
          readOnly: true
          type: array
        vpcId:
          description: The VPC ID.
          type: string
      type: object
    AWSCloudProviderContainer:
      allOf:
      - "$ref": "#/components/schemas/CloudProviderContainer"
      - properties:
          atlasCidrBlock:
            description: |-
              IP addresses expressed in Classless Inter-Domain Routing (CIDR) notation that MongoDB Cloud uses for the network peering containers in your project. MongoDB Cloud assigns all of the project's clusters deployed to this cloud provider an IP address from this range. MongoDB Cloud locks this value if an M10 or greater cluster or a network peering connection exists in this project.

              These CIDR blocks must fall within the ranges reserved per RFC 1918. AWS and Azure further limit the block to between the `/24` and  `/21` ranges.

              To modify the CIDR block, the target project cannot have:

              - Any M10 or greater clusters
              - Any other VPC peering connections

               You can also create a new project and create a network peering connection to set the desired MongoDB Cloud network peering container CIDR block for that project. MongoDB Cloud limits the number of MongoDB nodes per network peering connection based on the CIDR block and the region selected for the project.

               **Example:** A project in an Amazon Web Services (AWS) region supporting three availability zones and an MongoDB CIDR network peering container block of limit of `/24` equals 27 three-node replica sets.
            pattern: "^((([0-9]{1,3}\\.){3}[0-9]{1,3})|(:{0,2}([0-9a-f]{1,4}:){0,7}[0-9a-f]{1,4}[:]{0,2}))((%2[fF]|/)[0-9]{1,3})+$"
            type: string
          regionName:
            description: Geographic area that Amazon Web Services (AWS) defines to
              which MongoDB Cloud deployed this network peering container.
            enum:
            - US_EAST_1
            - US_EAST_2
            - US_WEST_1
            - US_WEST_2
            - CA_CENTRAL_1
            - EU_NORTH_1
            - EU_WEST_1
            - EU_WEST_2
            - EU_WEST_3
            - EU_CENTRAL_1
            - EU_CENTRAL_2
            - SA_EAST_1
            - AP_EAST_1
            - AP_EAST_2
            - AP_SOUTHEAST_2
            - AP_SOUTHEAST_3
            - AP_SOUTHEAST_4
            - AP_SOUTHEAST_5
            - AP_SOUTHEAST_6
            - AP_SOUTHEAST_7
            - AP_NORTHEAST_1
            - AP_NORTHEAST_2
            - AP_NORTHEAST_3
            - AP_SOUTHEAST_1
            - AP_SOUTH_1
            - AP_SOUTH_2
            - CN_NORTH_1
            - CN_NORTHWEST_1
            - ME_CENTRAL_1
            - ME_SOUTH_1
            - AF_SOUTH_1
            - EU_SOUTH_1
            - EU_SOUTH_2
            - IL_CENTRAL_1
            - CA_WEST_1
            - MX_CENTRAL_1
            - GLOBAL
            - US_GOV_WEST_1
            - US_GOV_EAST_1
            type: string
          vpcId:
            description: Unique string that identifies the MongoDB Cloud VPC on AWS.
            example: vpc-b555d3b0d9cb783b0
            pattern: "^vpc-[0-9a-f]{17}$"
            readOnly: true
            type: string
        type: object
      description: Collection of settings that configures the network container for
        a virtual private connection on Amazon Web Services.
      required:
      - regionName
      title: AWS
      type: object
    AWSCloudProviderSettings:
      allOf:
      - "$ref": "#/components/schemas/ClusterProviderSettings"
      - properties:
          autoScaling:
            "$ref": "#/components/schemas/CloudProviderAWSAutoScaling"
          diskIOPS:
            description: Maximum Disk Input/Output Operations per Second (IOPS) that
              the database host can perform.
            format: int32
            type: integer
          encryptEBSVolume:
            default: true
            deprecated: true
            description: Flag that indicates whether the Amazon Elastic Block Store
              (EBS) encryption feature encrypts the host's root volume for both data
              at rest within the volume and for data moving between the volume and
              the cluster. Clusters always have this setting enabled.
            type: boolean
          instanceSizeName:
            description: Cluster tier, with a default storage and memory capacity,
              that applies to all the data-bearing hosts in your cluster.
            enum:
            - M10
            - M20
            - M30
            - M40
            - M50
            - M60
            - M80
            - M100
            - M140
            - M200
            - M300
            - R40
            - R50
            - R60
            - R80
            - R200
            - R300
            - R400
            - R700
            - M40_NVME
            - M50_NVME
            - M60_NVME
            - M80_NVME
            - M200_NVME
            - M400_NVME
            title: AWS Instance Sizes
            type: string
          regionName:
            description: Physical location where MongoDB Cloud deploys your AWS-hosted
              MongoDB cluster nodes. The region you choose can affect network latency
              for clients accessing your databases. When MongoDB Cloud deploys a dedicated
              cluster, it checks if a VPC or VPC connection exists for that provider
              and region. If not, MongoDB Cloud creates them as part of the deployment.
              MongoDB Cloud assigns the VPC a CIDR block. To limit a new VPC peering
              connection to one CIDR block and region, create the connection first.
              Deploy the cluster after the connection starts.
            enum:
            - US_GOV_WEST_1
            - US_GOV_EAST_1
            - US_EAST_1
            - US_EAST_2
            - US_WEST_1
            - US_WEST_2
            - CA_CENTRAL_1
            - EU_NORTH_1
            - EU_WEST_1
            - EU_WEST_2
            - EU_WEST_3
            - EU_CENTRAL_1
            - EU_CENTRAL_2
            - AP_EAST_1
            - AP_EAST_2
            - AP_NORTHEAST_1
            - AP_NORTHEAST_2
            - AP_NORTHEAST_3
            - AP_SOUTHEAST_1
            - AP_SOUTHEAST_2
            - AP_SOUTHEAST_3
            - AP_SOUTHEAST_4
            - AP_SOUTHEAST_5
            - AP_SOUTHEAST_6
            - AP_SOUTHEAST_7
            - AP_SOUTH_1
            - AP_SOUTH_2
            - SA_EAST_1
            - CN_NORTH_1
            - CN_NORTHWEST_1
            - ME_SOUTH_1
            - ME_CENTRAL_1
            - AF_SOUTH_1
            - EU_SOUTH_1
            - EU_SOUTH_2
            - IL_CENTRAL_1
            - CA_WEST_1
            - MX_CENTRAL_1
            - GLOBAL
            externalDocs:
              description: AWS
              url: https://docs.atlas.mongodb.com/reference/amazon-aws/#std-label-amazon-aws
            title: AWS Regions
            type: string
          volumeType:
            description: Disk Input/Output Operations per Second (IOPS) setting for
              Amazon Web Services (AWS) storage that you configure only for AWS. Specify
              whether Disk Input/Output Operations per Second (IOPS) must not exceed
              the default Input/Output Operations per Second (IOPS) rate for the selected
              volume size (`STANDARD`), or must fall within the allowable Input/Output
              Operations per Second (IOPS) range for the selected volume size (`PROVISIONED`).
              You must set this value to (`PROVISIONED`) for NVMe clusters.
            enum:
            - STANDARD
            - PROVISIONED
            type: string
        type: object
      type: object
    AWSComputeAutoScaling:
      description: Collection of settings that configures how a cluster might scale
        its cluster tier and whether the cluster can scale down. Cluster tier auto-scaling
        is unavailable for clusters using Low CPU or NVME storage classes.
      properties:
        maxInstanceSize:
          description: Maximum instance size to which your cluster can automatically
            scale.
          enum:
          - M10
          - M20
          - M30
          - M40
          - M50
          - M60
          - M80
          - M100
          - M140
          - M200
          - M300
          - R40
          - R50
          - R60
          - R80
          - R200
          - R300
          - R400
          - R700
          - M40_NVME
          - M50_NVME
          - M60_NVME
          - M80_NVME
          - M200_NVME
          - M400_NVME
          title: AWS Instance Sizes
          type: string
        minInstanceSize:
          description: Minimum instance size to which your cluster can automatically
            scale.
          enum:
          - M10
          - M20
          - M30
          - M40
          - M50
          - M60
          - M80
          - M100
          - M140
          - M200
          - M300
          - R40
          - R50
          - R60
          - R80
          - R200
          - R300
          - R400
          - R700
          - M40_NVME
          - M50_NVME
          - M60_NVME
          - M80_NVME
          - M200_NVME
          - M400_NVME
          title: AWS Instance Sizes
          type: string
      title: AWS
      type: object
    AWSCreateDataProcessRegionView:
      allOf:
      - "$ref": "#/components/schemas/CreateDataProcessRegionView"
      - properties:
          region:
            description: Human-readable label that identifies the geographic location
              of the region where you wish to store your archived data.
            enum:
            - US_EAST_1
            - US_WEST_2
            - SA_EAST_1
            - EU_WEST_1
            - EU_WEST_2
            - EU_CENTRAL_1
            - AP_SOUTH_1
            - AP_SOUTHEAST_1
            - AP_SOUTHEAST_2
            - AP_NORTHEAST_2
            type: string
        type: object
      type: object
    AWSCustomDNSEnabledView:
      properties:
        enabled:
          description: |-
            Flag that indicates whether the project's clusters deployed to Amazon Web Services (AWS) use a custom Domain Name System (DNS).
            When `"enabled": true`, connect to your cluster using Private IP for Peering connection strings.
          externalDocs:
            description: 'To learn more, see FAQ: Connection String Options in the
              MongoDB Atlas documentation.'
            url: https://www.mongodb.com/docs/atlas/reference/faq/connection-changes/#how-does-this-affect-aws-vpc-peering-when-i-use-custom-dns-
          type: boolean
      required:
      - enabled
      type: object
    AWSDataProcessRegionView:
      allOf:
      - "$ref": "#/components/schemas/DataProcessRegionView"
      - properties:
          region:
            description: Human-readable label that identifies the geographic location
              of the region where you store your archived data.
            enum:
            - US_EAST_1
            - US_WEST_2
            - SA_EAST_1
            - EU_WEST_1
            - EU_WEST_2
            - EU_CENTRAL_1
            - AP_SOUTH_1
            - AP_SOUTHEAST_1
            - AP_SOUTHEAST_2
            - AP_NORTHEAST_2
            readOnly: true
            type: string
        type: object
      type: object
    AWSHardwareSpec20240805:
      description: Hardware specifications for nodes deployed in the region.
      properties:
        diskIOPS:
          description: |-
            Target IOPS (Input/Output Operations Per Second) desired for storage attached to this hardware.

             You can set different IOPS values on different shards when provisioned IOPS are supported.

             Change this parameter if you:

            - set `replicationSpecs[n].regionConfigs[m].providerName` to `AWS`.
            - set `replicationSpecs[n].regionConfigs[m].electableSpecs.instanceSize` to `M30` or greater (not including `Mxx_NVME` tiers).

            - set `replicationSpecs[n].regionConfigs[m].electableSpecs.ebsVolumeType` to `PROVISIONED`.

            The maximum input/output operations per second (IOPS) depend on the selected `.instanceSize` and `.diskSizeGB`.
            This parameter defaults to the cluster tier's standard IOPS value.
            Changing this value impacts cluster cost.
            MongoDB Cloud enforces minimum ratios of storage capacity to system memory for given cluster tiers. This keeps cluster performance consistent with large datasets.

            - Instance sizes `M10` to `M40` have a ratio of disk capacity to system memory of 60:1.
            - Instance sizes greater than `M40` have a ratio of 120:1.
          format: int32
          type: integer
        diskSizeGB:
          description: "Storage capacity of instance data volumes expressed in gigabytes.
            Increase this number to add capacity.\n\n This value must be equal for
            all shards and node types.\n\n This value is not configurable on M0/M2/M5
            clusters.\n\n MongoDB Cloud requires this parameter if you set `replicationSpecs`.\n\n
            If you specify a disk size below the minimum (10 GB), this parameter defaults
            to the minimum disk size value. \n\n Storage charge calculations depend
            on whether you choose the default value or a custom value.\n\n The maximum
            value for disk storage cannot exceed 50 times the maximum RAM for the
            selected cluster. If you require more storage space, consider upgrading
            your cluster to a higher tier."
          externalDocs:
            description: Customize Storage
            url: https://dochub.mongodb.org/core/customize-storage
          format: double
          type: number
        ebsVolumeType:
          default: STANDARD
          description: "Type of storage you want to attach to your AWS-provisioned
            cluster.\n\n- `STANDARD` volume types can't exceed the default input/output
            operations per second (IOPS) rate for the selected volume size. \n\n-
            `PROVISIONED` volume types must fall within the allowable IOPS range for
            the selected volume size. You must set this value to (`PROVISIONED`) for
            NVMe clusters."
          enum:
          - STANDARD
          - PROVISIONED
          type: string
        instanceSize:
          description: Hardware specification for the instance sizes in this region
            in this shard. Each instance size has a default storage and memory capacity.
            Electable nodes and read-only nodes (known as "base nodes") within a single
            shard must use the same instance size. Analytics nodes can scale independently
            from base nodes within a shard. Both base nodes and analytics nodes can
            scale independently from their equivalents in other shards.
          enum:
          - M10
          - M20
          - M30
          - M40
          - M50
          - M60
          - M80
          - M100
          - M140
          - M200
          - M300
          - R40
          - R50
          - R60
          - R80
          - R200
          - R300
          - R400
          - R700
          - M40_NVME
          - M50_NVME
          - M60_NVME
          - M80_NVME
          - M200_NVME
          - M400_NVME
          title: AWS Instance Sizes
          type: string
        nodeCount:
          description: Number of nodes of the given type for MongoDB Cloud to deploy
            to the region.
          format: int32
          type: integer
      title: AWS Cluster Hardware Settings
      type: object
    AWSInterfaceEndpoint:
      description: Group of Private Endpoint settings.
      properties:
        cloudProvider:
          description: Cloud service provider that serves the requested endpoint.
          enum:
          - AWS
          - AZURE
          - GCP
          readOnly: true
          type: string
        connectionStatus:
          description: State of the Amazon Web Service PrivateLink connection when
            MongoDB Cloud received this request.
          enum:
          - PENDING_ACCEPTANCE
          - PENDING
          - AVAILABLE
          - REJECTED
          - DELETING
          readOnly: true
          type: string
        deleteRequested:
          description: Flag that indicates whether MongoDB Cloud received a request
            to remove the specified private endpoint from the private endpoint service.
          readOnly: true
          type: boolean
        errorMessage:
          description: Error message returned when requesting private connection resource.
            The resource returns `null` if the request succeeded.
          readOnly: true
          type: string
        interfaceEndpointId:
          description: Unique 24-hexadecimal digit string that identifies the interface
            endpoint.
          readOnly: true
          type: string
      required:
      - cloudProvider
      title: AWS
      type: object
    AWSKMSConfiguration:
      description: Amazon Web Services (AWS) KMS configuration details and encryption
        at rest configuration set for the specified project.
      externalDocs:
        description: Amazon Web Services Key Management Service
        url: https://www.mongodb.com/docs/atlas/security-aws-kms/
      properties:
        accessKeyID:
          description: Unique alphanumeric string that identifies an Identity and
            Access Management (IAM) access key with permissions required to access
            your Amazon Web Services (AWS) Customer Master Key (CMK).
          example: '019dd98d94b4bb778e7552e4'
          maxLength: 128
          minLength: 16
          type: string
        customerMasterKeyID:
          description: Unique alphanumeric string that identifies the Amazon Web Services
            (AWS) Customer Master Key (CMK) you used to encrypt and decrypt the MongoDB
            master keys.
          maxLength: 2048
          minLength: 1
          type: string
        enabled:
          description: Flag that indicates whether someone enabled encryption at rest
            for the specified project through Amazon Web Services (AWS) Key Management
            Service (KMS). To disable encryption at rest using customer key management
            and remove the configuration details, pass only this parameter with a
            value of `false`.
          type: boolean
        region:
          description: Physical location where MongoDB Cloud deploys your AWS-hosted
            MongoDB cluster nodes. The region you choose can affect network latency
            for clients accessing your databases. When MongoDB Cloud deploys a dedicated
            cluster, it checks if a VPC or VPC connection exists for that provider
            and region. If not, MongoDB Cloud creates them as part of the deployment.
            MongoDB Cloud assigns the VPC a CIDR block. To limit a new VPC peering
            connection to one CIDR block and region, create the connection first.
            Deploy the cluster after the connection starts.
          enum:
          - US_GOV_WEST_1
          - US_GOV_EAST_1
          - US_EAST_1
          - US_EAST_2
          - US_WEST_1
          - US_WEST_2
          - CA_CENTRAL_1
          - EU_NORTH_1
          - EU_WEST_1
          - EU_WEST_2
          - EU_WEST_3
          - EU_CENTRAL_1
          - EU_CENTRAL_2
          - AP_EAST_1
          - AP_EAST_2
          - AP_NORTHEAST_1
          - AP_NORTHEAST_2
          - AP_NORTHEAST_3
          - AP_SOUTHEAST_1
          - AP_SOUTHEAST_2
          - AP_SOUTHEAST_3
          - AP_SOUTHEAST_4
          - AP_SOUTHEAST_5
          - AP_SOUTHEAST_6
          - AP_SOUTHEAST_7
          - AP_SOUTH_1
          - AP_SOUTH_2
          - SA_EAST_1
          - CN_NORTH_1
          - CN_NORTHWEST_1
          - ME_SOUTH_1
          - ME_CENTRAL_1
          - AF_SOUTH_1
          - EU_SOUTH_1
          - EU_SOUTH_2
          - IL_CENTRAL_1
          - CA_WEST_1
          - MX_CENTRAL_1
          - GLOBAL
          title: AWS Regions
          type: string
        requirePrivateNetworking:
          description: Enable connection to your Amazon Web Services (AWS) Key Management
            Service (KMS) over private networking.
          type: boolean
        roleId:
          description: Unique 24-hexadecimal digit string that identifies an Amazon
            Web Services (AWS) Identity and Access Management (IAM) role. This IAM
            role has the permissions required to manage your AWS customer master key.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          type: string
          writeOnly: true
        secretAccessKey:
          description: Human-readable label of the Identity and Access Management
            (IAM) secret access key with permissions required to access your Amazon
            Web Services (AWS) customer master key.
          type: string
          writeOnly: true
        valid:
          description: Flag that indicates whether the Amazon Web Services (AWS) Key
            Management Service (KMS) encryption key can encrypt and decrypt data.
          readOnly: true
          type: boolean
      type: object
    AWSKMSEARPrivateEndpoint:
      description: AWS Key Management Service Encryption At Rest Private Endpoint.
      properties:
        cloudProvider:
          description: Human-readable label that identifies the cloud provider for
            the Encryption At Rest private endpoint.
          enum:
          - AZURE
          - AWS
          readOnly: true
          type: string
        errorMessage:
          description: Error message for failures associated with the Encryption At
            Rest private endpoint.
          readOnly: true
          type: string
        id:
          description: Unique 24-hexadecimal digit string that identifies the Private
            Endpoint Service.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        privateEndpointConnectionName:
          description: Resource Id of the Aws Private Endpoint.
          readOnly: true
          type: string
        regionName:
          description: Cloud provider region in which the Encryption At Rest private
            endpoint is located.
          oneOf:
          - description: Microsoft Azure Regions.
            enum:
            - US_CENTRAL
            - US_EAST
            - US_EAST_2
            - US_NORTH_CENTRAL
            - US_WEST
            - US_SOUTH_CENTRAL
            - EUROPE_NORTH
            - EUROPE_WEST
            - US_WEST_CENTRAL
            - US_WEST_2
            - US_WEST_3
            - CANADA_EAST
            - CANADA_CENTRAL
            - BRAZIL_SOUTH
            - BRAZIL_SOUTHEAST
            - AUSTRALIA_CENTRAL
            - AUSTRALIA_CENTRAL_2
            - AUSTRALIA_EAST
            - AUSTRALIA_SOUTH_EAST
            - GERMANY_WEST_CENTRAL
            - GERMANY_NORTH
            - SWEDEN_CENTRAL
            - SWEDEN_SOUTH
            - SWITZERLAND_NORTH
            - SWITZERLAND_WEST
            - UK_SOUTH
            - UK_WEST
            - NORWAY_EAST
            - NORWAY_WEST
            - INDIA_CENTRAL
            - INDIA_SOUTH
            - INDIA_WEST
            - CHINA_EAST
            - CHINA_NORTH
            - ASIA_EAST
            - JAPAN_EAST
            - JAPAN_WEST
            - ASIA_SOUTH_EAST
            - KOREA_CENTRAL
            - KOREA_SOUTH
            - FRANCE_CENTRAL
            - FRANCE_SOUTH
            - SOUTH_AFRICA_NORTH
            - SOUTH_AFRICA_WEST
            - UAE_CENTRAL
            - UAE_NORTH
            - QATAR_CENTRAL
            - POLAND_CENTRAL
            - ISRAEL_CENTRAL
            - ITALY_NORTH
            - SPAIN_CENTRAL
            - MEXICO_CENTRAL
            - NEW_ZEALAND_NORTH
            - US_GOV_VIRGINIA
            - US_GOV_ARIZONA
            - US_GOV_TEXAS
            title: Azure Regions
            type: string
          - description: Physical location where MongoDB Cloud deploys your AWS-hosted
              MongoDB cluster nodes. The region you choose can affect network latency
              for clients accessing your databases. When MongoDB Cloud deploys a dedicated
              cluster, it checks if a VPC or VPC connection exists for that provider
              and region. If not, MongoDB Cloud creates them as part of the deployment.
              MongoDB Cloud assigns the VPC a CIDR block. To limit a new VPC peering
              connection to one CIDR block and region, create the connection first.
              Deploy the cluster after the connection starts.
            enum:
            - US_GOV_WEST_1
            - US_GOV_EAST_1
            - US_EAST_1
            - US_EAST_2
            - US_WEST_1
            - US_WEST_2
            - CA_CENTRAL_1
            - EU_NORTH_1
            - EU_WEST_1
            - EU_WEST_2
            - EU_WEST_3
            - EU_CENTRAL_1
            - EU_CENTRAL_2
            - AP_EAST_1
            - AP_EAST_2
            - AP_NORTHEAST_1
            - AP_NORTHEAST_2
            - AP_NORTHEAST_3
            - AP_SOUTHEAST_1
            - AP_SOUTHEAST_2
            - AP_SOUTHEAST_3
            - AP_SOUTHEAST_4
            - AP_SOUTHEAST_5
            - AP_SOUTHEAST_6
            - AP_SOUTHEAST_7
            - AP_SOUTH_1
            - AP_SOUTH_2
            - SA_EAST_1
            - CN_NORTH_1
            - CN_NORTHWEST_1
            - ME_SOUTH_1
            - ME_CENTRAL_1
            - AF_SOUTH_1
            - EU_SOUTH_1
            - EU_SOUTH_2
            - IL_CENTRAL_1
            - CA_WEST_1
            - MX_CENTRAL_1
            - GLOBAL
            title: AWS Regions
            type: string
          type: object
        status:
          description: State of the Encryption At Rest private endpoint.
          enum:
          - INITIATING
          - PENDING_ACCEPTANCE
          - ACTIVE
          - FAILED
          - PENDING_RECREATION
          - DELETING
          readOnly: true
          type: string
      title: AWS Key Management Service EAR Private Endpoint
      type: object
    AWSPrivateLinkConnection:
      description: Group of Private Endpoint Service settings.
      properties:
        cloudProvider:
          description: Cloud service provider that serves the requested endpoint service.
          enum:
          - AWS
          - AZURE
          - GCP
          readOnly: true
          type: string
        endpointServiceName:
          description: Unique string that identifies the Amazon Web Services (AWS)
            PrivateLink endpoint service. MongoDB Cloud returns null while it creates
            the endpoint service.
          pattern: "^com\\.amazonaws\\.vpce\\.[a-z-0-9]+\\.vpce-svc-[0-9a-f]{17}"
          readOnly: true
          type: string
        errorMessage:
          description: Error message returned when requesting private connection resource.
            The resource returns `null` if the request succeeded.
          readOnly: true
          type: string
        id:
          description: Unique 24-hexadecimal digit string that identifies the Private
            Endpoint Service.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        interfaceEndpoints:
          description: List of strings that identify private endpoint interfaces applied
            to the specified project.
          items:
            description: Unique 24-hexadecimal digit string that identifies the interface
              endpoint.
            example: 32b6e34b3d91647abb20e7b8
            pattern: "^([a-f0-9]{24})$"
            readOnly: true
            type: string
          readOnly: true
          type: array
        regionName:
          description: Cloud provider region that manages this Private Endpoint Service.
          readOnly: true
          type: string
        status:
          description: State of the Private Endpoint Service connection when MongoDB
            Cloud received this request.
          enum:
          - INITIATING
          - AVAILABLE
          - WAITING_FOR_USER
          - FAILED
          - DELETING
          readOnly: true
          type: string
        supportedRemoteRegions:
          description: List of regions that the endpoint service supports. Native
            cross region support is implemented for AWS only.
          items:
            description: AWS region name
            type: string
          maxItems: 35
          nullable: true
          type: array
      required:
      - cloudProvider
      - interfaceEndpoints
      title: AWS
      type: object
    AWSRegionConfig20240805:
      allOf:
      - "$ref": "#/components/schemas/CloudRegionConfig20240805"
      - properties:
          analyticsAutoScaling:
            "$ref": "#/components/schemas/AdvancedAutoScalingSettings"
          analyticsSpecs:
            "$ref": "#/components/schemas/DedicatedHardwareSpec20240805"
          autoScaling:
            "$ref": "#/components/schemas/AdvancedAutoScalingSettings"
          effectiveAnalyticsSpecs:
            "$ref": "#/components/schemas/DedicatedHardwareSpec20240805"
          effectiveElectableSpecs:
            "$ref": "#/components/schemas/DedicatedHardwareSpec20240805"
          effectiveReadOnlySpecs:
            "$ref": "#/components/schemas/DedicatedHardwareSpec20240805"
          readOnlySpecs:
            "$ref": "#/components/schemas/DedicatedHardwareSpec20240805"
        type: object
      description: Details that explain how MongoDB Cloud replicates data in one region
        on the specified MongoDB database.
      title: AWS Regional Replication Specifications
      type: object
    AccessListItemView:
      properties:
        cidrBlock:
          description: Range of IP addresses in Classless Inter-Domain Routing (CIDR)
            notation that found in this project's access list.
          pattern: "^((([0-9]{1,3}\\.){3}[0-9]{1,3})|(:{0,2}([0-9a-f]{1,4}:){0,7}[0-9a-f]{1,4}[:]{0,2}))((%2[fF]|/)[0-9]{1,3})+$"
          readOnly: true
          type: string
        ipAddress:
          description: IP address included in the API access list.
          pattern: "^((25[0-5]|(2[0-4]|1\\d|[1-9]|)\\d)(\\.(?!$)|$)){4}|([0-9a-f]{1,4}:){7}[0-9a-f]{1,4}$"
          readOnly: true
          type: string
      required:
      - ipAddress
      type: object
    AccountDetails:
      description: Account details for the group, region, and provider.
      discriminator:
        mapping:
          aws: "#/components/schemas/AWSAccountDetails"
          azure: "#/components/schemas/AzureAccountDetails"
          gcp: "#/components/schemas/GCPAccountDetails"
        propertyName: cloudProvider
      oneOf:
      - "$ref": "#/components/schemas/AWSAccountDetails"
      - "$ref": "#/components/schemas/AzureAccountDetails"
      - "$ref": "#/components/schemas/GCPAccountDetails"
      type: object
    AcknowledgeAlert:
      description: Acknowledging an alert prevents successive notifications. Specify
        the `acknowledgeUntil` date and optional comment or `unacknowledgeAlert` boolean.
      properties:
        acknowledgedUntil:
          description: Date and time until which this alert has been acknowledged.
            This parameter expresses its value in the ISO 8601 timestamp format in
            UTC. The resource returns this parameter if a MongoDB User previously
            acknowledged this alert.
          externalDocs:
            description: ISO 8601
            url: https://en.wikipedia.org/wiki/ISO_8601
          format: date-time
          type: string
        acknowledgementComment:
          description: Comment that a MongoDB Cloud user submitted when acknowledging
            the alert.
          example: Expiration on 3/19.  Silencing for 7days.
          maxLength: 200
          type: string
        links:
          description: List of one or more Uniform Resource Locators (URLs) that point
            to API sub-resources, related API resources, or both. RFC 5988 outlines
            these relationships.
          externalDocs:
            description: Web Linking Specification (RFC 5988)
            url: https://datatracker.ietf.org/doc/html/rfc5988
          items:
            "$ref": "#/components/schemas/Link"
          readOnly: true
          type: array
        unacknowledgeAlert:
          description: Flag that indicates to unacknowledge a previously acknowledged
            alert. By default this value is set to false. If set to true, it will
            override the `acknowledgedUntil` parameter.
          type: boolean
      title: Acknowledge Alert
      type: object
    ActivityFeedLinkResponse:
      description: Response containing a shareable activity feed link.
      properties:
        link:
          description: Shareable link to the activity feed with pre-applied filters.
          example: https://cloud.mongodb.com/redirect/1234567890abcdef12345678
          type: string
        links:
          description: List of one or more Uniform Resource Locators (URLs) that point
            to API sub-resources, related API resources, or both. RFC 5988 outlines
            these relationships.
          externalDocs:
            description: Web Linking Specification (RFC 5988)
            url: https://datatracker.ietf.org/doc/html/rfc5988
          items:
            "$ref": "#/components/schemas/Link"
          readOnly: true
          type: array
      required:
      - link
      type: object
    AddOrRemoveGroupRole:
      properties:
        groupRole:
          description: Project-level role to assign to or remove from the MongoDB
            Cloud user.
          externalDocs:
            description: MongoDB Cloud User Roles
            url: https://www.mongodb.com/docs/atlas/reference/user-roles/
          type: string
      required:
      - groupRole
      type: object
    AddOrRemoveOrgRole:
      properties:
        orgRole:
          description: Organization-level role.
          enum:
          - ORG_OWNER
          - ORG_GROUP_CREATOR
          - ORG_BILLING_ADMIN
          - ORG_BILLING_READ_ONLY
          - ORG_STREAM_PROCESSING_ADMIN
          - ORG_READ_ONLY
          - ORG_MEMBER
          type: string
      required:
      - orgRole
      type: object
    AddOrRemoveUserFromTeam:
      properties:
        id:
          description: Unique 24-hexadecimal digit string that identifies the MongoDB
            Cloud user.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          type: string
          writeOnly: true
      required:
      - id
      type: object
    AddUserToTeam:
      properties:
        id:
          description: Unique 24-hexadecimal digit string that identifies the MongoDB
            Cloud user.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          type: string
      required:
      - id
      type: object
    AdvancedAutoScalingSettings:
      description: Options that determine how this cluster handles resource scaling.
      properties:
        compute:
          "$ref": "#/components/schemas/AdvancedComputeAutoScaling"
        diskGB:
          "$ref": "#/components/schemas/DiskGBAutoScaling"
      title: Automatic Scaling Settings
      type: object
    AdvancedComputeAutoScaling:
      description: Options that determine how this cluster handles CPU scaling.
      properties:
        enabled:
          description: |-
            Flag that indicates whether instance size reactive auto-scaling is enabled.

            - Set to `true` to enable instance size reactive auto-scaling. If enabled, you must specify a value for `replicationSpecs[n].regionConfigs[m].autoScaling.compute.maxInstanceSize`.
            - Set to `false` to disable instance size reactive auto-scaling.
          type: boolean
        maxInstanceSize:
          "$ref": "#/components/schemas/BaseCloudProviderInstanceSize"
        minInstanceSize:
          "$ref": "#/components/schemas/BaseCloudProviderInstanceSize"
        scaleDownEnabled:
          description: Flag that indicates whether the instance size may scale down
            via reactive auto-scaling. MongoDB Cloud requires this parameter if `replicationSpecs[n].regionConfigs[m].autoScaling.compute.enabled`
            is `true`. If you enable this option, specify a value for `replicationSpecs[n].regionConfigs[m].autoScaling.compute.minInstanceSize`.
          type: boolean
      title: Automatic Compute Scaling Settings
      type: object
    AdvancedDiskBackupSnapshotSchedulePolicy:
      description: List that contains a document for each backup policy item in the
        desired backup policy.
      properties:
        id:
          description: Unique 24-hexadecimal digit string that identifies this backup
            policy.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          type: string
        policyItems:
          description: List that contains the specifications for one policy.
          items:
            "$ref": "#/components/schemas/DiskBackupApiPolicyItem"
          type: array
      required:
      - policyItems
      type: object
    AlertAudit:
      description: Alert audit indicates acknowledgement status of an alert.
      properties:
        alertId:
          description: Unique 24-hexadecimal digit string that identifies the alert
            associated with the event.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        apiKeyId:
          description: Unique 24-hexadecimal digit string that identifies the API
            Key that triggered the event. If this resource returns this parameter,
            it doesn't return the `userId` parameter.
          example: 32b6e34b3d91647abb20e7b8
          externalDocs:
            description: Create Programmatic API Key
            url: https://dochub.mongodb.org/core/atlas-create-prog-api-key
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        created:
          description: Date and time when this event occurred. This parameter expresses
            its value in the ISO 8601 timestamp format in UTC.
          externalDocs:
            description: ISO 8601
            url: https://en.wikipedia.org/wiki/ISO_8601
          format: date-time
          readOnly: true
          type: string
        eventTypeName:
          "$ref": "#/components/schemas/AlertAuditTypeView"
        groupId:
          description: Unique 24-hexadecimal digit string that identifies the project
            in which the event occurred. The `eventId` identifies the specific event.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        id:
          description: Unique 24-hexadecimal digit string that identifies the event.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        isGlobalAdmin:
          description: Flag that indicates whether a MongoDB employee triggered the
            specified event.
          readOnly: true
          type: boolean
        links:
          description: List of one or more Uniform Resource Locators (URLs) that point
            to API sub-resources, related API resources, or both. RFC 5988 outlines
            these relationships.
          externalDocs:
            description: Web Linking Specification (RFC 5988)
            url: https://datatracker.ietf.org/doc/html/rfc5988
          items:
            "$ref": "#/components/schemas/Link"
          readOnly: true
          type: array
        orgId:
          description: Unique 24-hexadecimal digit string that identifies the organization
            to which these events apply.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        publicKey:
          description: Public part of the API key that triggered the event. If this
            resource returns this parameter, it doesn't return the **username** parameter.
          externalDocs:
            url: https://dochub.mongodb.org/core/atlas-create-prog-api-key
          readOnly: true
          type: string
        raw:
          "$ref": "#/components/schemas/raw"
        remoteAddress:
          description: IPv4 or IPv6 address from which the user triggered this event.
          example: 216.172.40.186
          pattern: "^((25[0-5]|(2[0-4]|1\\d|[1-9]|)\\d)(\\.(?!$)|$)){4}|([0-9a-f]{1,4}:){7}[0-9a-f]{1,4}$"
          readOnly: true
          type: string
        userId:
          description: Unique 24-hexadecimal digit string that identifies the console
            user who triggered the event. If this resource returns this parameter,
            it doesn't return the `apiKeyId` parameter.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        username:
          description: Email address for the user who triggered this event. If this
            resource returns this parameter, it doesn't return the `publicApiKey`
            parameter.
          format: email
          readOnly: true
          type: string
      required:
      - created
      - eventTypeName
      - id
      title: Alert Audits
      type: object
    AlertAuditTypeView:
      description: Unique identifier of event type.
      enum:
      - ALERT_ACKNOWLEDGED_AUDIT
      - ALERT_UNACKNOWLEDGED_AUDIT
      example: ALERT_ACKNOWLEDGED_AUDIT
      title: Alert Audit Types
      type: string
    AlertConfigAudit:
      description: Alert configuration audit indicates any activities around alert
        settings.
      properties:
        alertConfigId:
          description: Unique 24-hexadecimal digit string that identifies the alert
            configuration associated with the `alertId`.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        apiKeyId:
          description: Unique 24-hexadecimal digit string that identifies the API
            Key that triggered the event. If this resource returns this parameter,
            it doesn't return the `userId` parameter.
          example: 32b6e34b3d91647abb20e7b8
          externalDocs:
            description: Create Programmatic API Key
            url: https://dochub.mongodb.org/core/atlas-create-prog-api-key
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        created:
          description: Date and time when this event occurred. This parameter expresses
            its value in the ISO 8601 timestamp format in UTC.
          externalDocs:
            description: ISO 8601
            url: https://en.wikipedia.org/wiki/ISO_8601
          format: date-time
          readOnly: true
          type: string
        eventTypeName:
          "$ref": "#/components/schemas/AlertConfigAuditTypeView"
        groupId:
          description: Unique 24-hexadecimal digit string that identifies the project
            in which the event occurred. The `eventId` identifies the specific event.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        id:
          description: Unique 24-hexadecimal digit string that identifies the event.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        isGlobalAdmin:
          description: Flag that indicates whether a MongoDB employee triggered the
            specified event.
          readOnly: true
          type: boolean
        links:
          description: List of one or more Uniform Resource Locators (URLs) that point
            to API sub-resources, related API resources, or both. RFC 5988 outlines
            these relationships.
          externalDocs:
            description: Web Linking Specification (RFC 5988)
            url: https://datatracker.ietf.org/doc/html/rfc5988
          items:
            "$ref": "#/components/schemas/Link"
          readOnly: true
          type: array
        orgId:
          description: Unique 24-hexadecimal digit string that identifies the organization
            to which these events apply.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        publicKey:
          description: Public part of the API key that triggered the event. If this
            resource returns this parameter, it doesn't return the **username** parameter.
          externalDocs:
            url: https://dochub.mongodb.org/core/atlas-create-prog-api-key
          readOnly: true
          type: string
        raw:
          "$ref": "#/components/schemas/raw"
        remoteAddress:
          description: IPv4 or IPv6 address from which the user triggered this event.
          example: 216.172.40.186
          pattern: "^((25[0-5]|(2[0-4]|1\\d|[1-9]|)\\d)(\\.(?!$)|$)){4}|([0-9a-f]{1,4}:){7}[0-9a-f]{1,4}$"
          readOnly: true
          type: string
        userId:
          description: Unique 24-hexadecimal digit string that identifies the console
            user who triggered the event. If this resource returns this parameter,
            it doesn't return the `apiKeyId` parameter.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        username:
          description: Email address for the user who triggered this event. If this
            resource returns this parameter, it doesn't return the `publicApiKey`
            parameter.
          format: email
          readOnly: true
          type: string
      required:
      - created
      - eventTypeName
      - id
      title: Alert Config Audits
      type: object
    AlertConfigAuditTypeView:
      description: Unique identifier of event type.
      enum:
      - ALERT_CONFIG_DISABLED_AUDIT
      - ALERT_CONFIG_ENABLED_AUDIT
      - ALERT_CONFIG_ADDED_AUDIT
      - ALERT_CONFIG_DELETED_AUDIT
      - ALERT_CONFIG_CHANGED_AUDIT
      example: ALERT_CONFIG_ADDED_AUDIT
      title: Alert Audit Types
      type: string
    AlertMatcher:
      description: Rules to apply when comparing an target instance against this alert
        configuration.
      properties:
        fieldName:
          description: Name of the parameter in the target object that MongoDB Cloud
            checks. The parameter must match all rules for MongoDB Cloud to check
            for alert configurations.
          type: string
        operator:
          description: Comparison operator to apply when checking the current metric
            value against **matcher[n].value**. The `REGEX` operator only supports
            inclusive matches. Use the `NOT_CONTAINS` operator to exclude values.
          enum:
          - EQUALS
          - CONTAINS
          - STARTS_WITH
          - ENDS_WITH
          - NOT_EQUALS
          - NOT_CONTAINS
          - REGEX
          type: string
        value:
          description: Value to match or exceed using the specified `matchers.operator`.
          example: event-replica-set
          type: string
      required:
      - fieldName
      - operator
      - value
      title: Matchers
      type: object
    AlertViewForNdsGroup:
      oneOf:
      - "$ref": "#/components/schemas/AppServiceAlertView"
      - "$ref": "#/components/schemas/ClusterAlertViewForNdsGroup"
      - "$ref": "#/components/schemas/HostAlertViewForNdsGroup"
      - "$ref": "#/components/schemas/HostMetricAlert"
      - "$ref": "#/components/schemas/ReplicaSetAlertViewForNdsGroup"
      - "$ref": "#/components/schemas/StreamProcessorAlertViewForNdsGroup"
      - "$ref": "#/components/schemas/DefaultAlertViewForNdsGroup"
      type: object
    AlertsNotificationRootForGroup:
      description: One target that MongoDB Cloud sends notifications when an alert
        triggers.
      oneOf:
      - "$ref": "#/components/schemas/DatadogNotification"
      - "$ref": "#/components/schemas/EmailNotification"
      - "$ref": "#/components/schemas/GroupNotification"
      - "$ref": "#/components/schemas/HipChatNotification"
      - "$ref": "#/components/schemas/MicrosoftTeamsNotification"
      - "$ref": "#/components/schemas/OpsGenieNotification"
      - "$ref": "#/components/schemas/OrgNotification"
      - "$ref": "#/components/schemas/PagerDutyNotification"
      - "$ref": "#/components/schemas/SlackNotification"
      - "$ref": "#/components/schemas/SMSNotification"
      - "$ref": "#/components/schemas/TeamNotification"
      - "$ref": "#/components/schemas/UserNotification"
      - "$ref": "#/components/schemas/VictorOpsNotification"
      - "$ref": "#/components/schemas/WebhookNotification"
      type: object
    AlertsThresholdInteger:
      description: A Limit that triggers an alert when exceeded. The resource returns
        this parameter when `eventTypeName` has not been set to `OUTSIDE_METRIC_THRESHOLD`.
      properties:
        operator:
          "$ref": "#/components/schemas/Operator"
        threshold:
          description: Value of metric that, when exceeded, triggers an alert.
          format: int32
          type: integer
        units:
          description: Element used to express the quantity. This can be an element
            of time, storage capacity, and the like.
          enum:
          - bits
          - Kbits
          - Mbits
          - Gbits
          - bytes
          - KB
          - MB
          - GB
          - TB
          - PB
          - nsec
          - msec
          - sec
          - min
          - hours
          - million minutes
          - days
          - requests
          - 1000 requests
          - tokens
          - million tokens
          - pixels
          - billion pixels
          - GB seconds
          - GB hours
          - GB days
          - RPU
          - thousand RPU
          - million RPU
          - WPU
          - thousand WPU
          - million WPU
          - count
          - thousand
          - million
          - billion
          type: string
      title: Threshold
      type: object
    AlertsToggle:
      description: Enables or disables the specified alert configuration in the specified
        project.
      properties:
        enabled:
          description: Flag that indicates whether to enable or disable the specified
            alert configuration in the specified project.
          type: boolean
      title: Toggle Request
      type: object
    ApiAtlasCheckpointView:
      properties:
        clusterId:
          description: Unique 24-hexadecimal digit string that identifies the cluster
            that contains the checkpoint.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        completed:
          description: Date and time when the checkpoint completed and the balancer
            restarted. This parameter expresses its value in the ISO 8601 timestamp
            format in UTC.
          format: date-time
          readOnly: true
          type: string
        groupId:
          description: Unique 24-hexadecimal digit string that identifies the project
            that owns the checkpoints.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        id:
          description: Unique 24-hexadecimal digit string that identifies checkpoint.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        links:
          description: List of one or more Uniform Resource Locators (URLs) that point
            to API sub-resources, related API resources, or both. RFC 5988 outlines
            these relationships.
          externalDocs:
            description: Web Linking Specification (RFC 5988)
            url: https://datatracker.ietf.org/doc/html/rfc5988
          items:
            "$ref": "#/components/schemas/Link"
          readOnly: true
          type: array
        parts:
          description: |-
            Metadata that describes the complete snapshot.

            - For a replica set, this array contains a single document.
            - For a sharded cluster, this array contains one document for each shard plus one document for the config host.
          items:
            "$ref": "#/components/schemas/ApiCheckpointPartView"
          readOnly: true
          type: array
        restorable:
          description: Flag that indicates whether MongoDB Cloud can use the checkpoint
            for a restore.
          readOnly: true
          type: boolean
        started:
          description: Date and time when the balancer stopped and began the checkpoint.
            This parameter expresses its value in the ISO 8601 timestamp format in
            UTC.
          format: date-time
          readOnly: true
          type: string
        timestamp:
          description: Date and time to which the checkpoint restores. This parameter
            expresses its value in the ISO 8601 timestamp format in UTC.
          format: date-time
          readOnly: true
          type: string
      type: object
    ApiAtlasCloudProviderAccessFeatureUsageFeatureIdView:
      description: Object that contains the identifying characteristics of the Amazon
        Web Services (AWS) Key Management Service (KMS). This field always returns
        a null value.
      nullable: true
      type: object
    ApiAtlasClusterAdvancedConfigurationView:
      description: Group of settings that configures a subset of the advanced configuration
        details.
      properties:
        customOpensslCipherConfigTls12:
          description: The custom OpenSSL cipher suite list for TLS 1.2. This field
            is only valid when `tlsCipherConfigMode` is set to `CUSTOM`.
          externalDocs:
            description: This option corresponds to the `opensslCipherConfig` `mongod`
              configuration file option.
            url: https://www.mongodb.com/docs/manual/reference/parameters/#mongodb-parameter-param.opensslCipherConfig
          items:
            enum:
            - TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384
            - TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256
            type: string
          type: array
        customOpensslCipherConfigTls13:
          description: The custom OpenSSL cipher suite list for TLS 1.3. This field
            is only valid when `tlsCipherConfigMode` is set to `CUSTOM`.
          externalDocs:
            description: This option corresponds to the `opensslCipherSuiteConfig`
              `mongod` configuration file option.
            url: https://www.mongodb.com/docs/manual/reference/parameters/#mongodb-parameter-param.opensslCipherSuiteConfig
          items:
            enum:
            - TLS_AES_256_GCM_SHA384
            - TLS_CHACHA20_POLY1305_SHA256
            - TLS_AES_128_GCM_SHA256
            - TLS_AES_128_CCM_SHA256
            type: string
          maxItems: 4
          type: array
        minimumEnabledTlsProtocol:
          description: Minimum Transport Layer Security (TLS) version that the cluster
            accepts for incoming connections. Clusters using TLS 1.0 or 1.1 should
            consider setting TLS 1.2 as the minimum TLS protocol version.
          enum:
          - TLS1_0
          - TLS1_1
          - TLS1_2
          - TLS1_3
          externalDocs:
            description: This option corresponds to the `net.ssl.disabledProtocols`
              `mongod` configuration file option.
            url: https://docs.mongodb.com/upcoming/reference/configuration-options/#mongodb-setting-net.ssl.disabledProtocols
          type: string
        tlsCipherConfigMode:
          description: The TLS cipher suite configuration mode. The default mode uses
            the default cipher suites. The custom mode allows you to specify custom
            cipher suites for both TLS 1.2 and TLS 1.3.
          enum:
          - CUSTOM
          - DEFAULT
          type: string
      type: object
    ApiAtlasDataLakeAWSRegionView:
      description: Atlas Data Federation AWS Regions.
      enum:
      - SYDNEY_AUS
      - MUMBAI_IND
      - FRANKFURT_DEU
      - DUBLIN_IRL
      - LONDON_GBR
      - VIRGINIA_USA
      - OREGON_USA
      - SAOPAULO_BRA
      - MONTREAL_CAN
      - TOKYO_JPN
      - SEOUL_KOR
      - SINGAPORE_SGP
      type: string
    ApiAtlasFTSAnalyzersViewManual:
      description: Settings that describe one Atlas Search custom analyzer.
      properties:
        charFilters:
          description: Filters that examine text one character at a time and perform
            filtering operations.
          items:
            oneOf:
            - "$ref": "#/components/schemas/charFilterhtmlStrip"
            - "$ref": "#/components/schemas/charFiltericuNormalize"
            - "$ref": "#/components/schemas/charFiltermapping"
            - "$ref": "#/components/schemas/charFilterpersian"
            type: object
          type: array
        name:
          description: |-
            Human-readable name that identifies the custom analyzer. Names must be unique within an index, and must not start with any of the following strings:
            - `lucene.`
            - `builtin.`
            - `mongodb.`
          type: string
        tokenFilters:
          description: |-
            Filter that performs operations such as:

            - Stemming, which reduces related words, such as "talking", "talked", and "talks" to their root word "talk".

            - Redaction, the removal of sensitive information from public documents.
          items:
            anyOf:
            - "$ref": "#/components/schemas/tokenFilterasciiFolding"
            - "$ref": "#/components/schemas/tokenFilterdaitchMokotoffSoundex"
            - "$ref": "#/components/schemas/tokenFilteredgeGram"
            - "$ref": "#/components/schemas/TokenFilterEnglishPossessive"
            - "$ref": "#/components/schemas/TokenFilterFlattenGraph"
            - "$ref": "#/components/schemas/tokenFiltericuFolding"
            - "$ref": "#/components/schemas/tokenFiltericuNormalizer"
            - "$ref": "#/components/schemas/TokenFilterkStemming"
            - "$ref": "#/components/schemas/tokenFilterlength"
            - "$ref": "#/components/schemas/tokenFilterlowercase"
            - "$ref": "#/components/schemas/tokenFilternGram"
            - "$ref": "#/components/schemas/TokenFilterPorterStemming"
            - "$ref": "#/components/schemas/tokenFilterregex"
            - "$ref": "#/components/schemas/tokenFilterreverse"
            - "$ref": "#/components/schemas/tokenFiltershingle"
            - "$ref": "#/components/schemas/tokenFiltersnowballStemming"
            - "$ref": "#/components/schemas/TokenFilterSpanishPluralStemming"
            - "$ref": "#/components/schemas/TokenFilterStempel"
            - "$ref": "#/components/schemas/tokenFilterstopword"
            - "$ref": "#/components/schemas/tokenFiltertrim"
            - "$ref": "#/components/schemas/TokenFilterWordDelimiterGraph"
          type: array
        tokenizer:
          description: Tokenizer that you want to use to create tokens. Tokens determine
            how Atlas Search splits up text into discrete chunks for indexing.
          discriminator:
            mapping:
              edgeGram: "#/components/schemas/tokenizeredgeGram"
              keyword: "#/components/schemas/tokenizerkeyword"
              nGram: "#/components/schemas/tokenizernGram"
              regexCaptureGroup: "#/components/schemas/tokenizerregexCaptureGroup"
              regexSplit: "#/components/schemas/tokenizerregexSplit"
              standard: "#/components/schemas/tokenizerstandard"
              uaxUrlEmail: "#/components/schemas/tokenizeruaxUrlEmail"
              whitespace: "#/components/schemas/tokenizerwhitespace"
            propertyName: type
          oneOf:
          - "$ref": "#/components/schemas/tokenizeredgeGram"
          - "$ref": "#/components/schemas/tokenizerkeyword"
          - "$ref": "#/components/schemas/tokenizernGram"
          - "$ref": "#/components/schemas/tokenizerregexCaptureGroup"
          - "$ref": "#/components/schemas/tokenizerregexSplit"
          - "$ref": "#/components/schemas/tokenizerstandard"
          - "$ref": "#/components/schemas/tokenizeruaxUrlEmail"
          - "$ref": "#/components/schemas/tokenizerwhitespace"
          type: object
      required:
      - name
      - tokenizer
      title: analyzers
      type: object
    ApiAtlasFTSMappingsViewManual:
      description: Index specifications for the collection's fields.
      properties:
        dynamic:
          default: false
          description: Flag that indicates whether the index uses dynamic or static
            mappings. Required if `mappings.fields` is omitted.
          externalDocs:
            description: Dynamic or Static Mappings
            url: https://dochub.mongodb.org/core/index-definitions-fts#field-mapping-examples
          type: boolean
        fields:
          additionalProperties:
            externalDocs:
              description: Atlas Search Field Mappings
              url: https://dochub.mongodb.org/core/field-mapping-definition-fts#define-field-mappings
            type: object
          description: One or more field specifications for the Atlas Search index.
            Required if `mappings.dynamic` is omitted or set to `false`.
          externalDocs:
            description: Atlas Search Index
            url: https://dochub.mongodb.org/core/index-definitions-fts
          type: object
      title: mappings
      type: object
    ApiAtlasInvalidPolicyErrorDetailView:
      properties:
        detail:
          description: A string that provides a detailed description of a validation
            error.
          readOnly: true
          type: string
      type: object
    ApiAtlasInvalidPolicyView:
      properties:
        body:
          description: A string that defines the permissions for the policy. The syntax
            used is the Cedar Policy language.
          example: |2
              forbid (
                principal,
                action == cloud::Action::"cluster.createEdit",
                resource
              ) when {
               context.cluster.regions.contains(cloud::region::"aws:us-east-1")
              };
          readOnly: true
          type: string
        errors:
          description: List of validation errors.
          items:
            "$ref": "#/components/schemas/ApiAtlasInvalidPolicyErrorDetailView"
          readOnly: true
          type: array
      type: object
    ApiAtlasInvalidResourcePolicyCreateErrorView:
      properties:
        errorType:
          description: Human-readable label that displays the type of an error.
          enum:
          - POLICY_PARSING_ERROR
          - POLICY_HAS_FAILED_VALIDATIONS
          - POLICY_HAS_INVALID_PRINCIPAL
          - POLICY_HAS_BODY_EXCEEDING_MAX_SIZE
          - POLICY_HAS_UNEXPECTED_ENTITIES
          type: string
        invalidPolicies:
          description: List of invalid policies containing details of their validation
            errors.
          items:
            "$ref": "#/components/schemas/ApiAtlasInvalidPolicyView"
          readOnly: true
          type: array
      type: object
    ApiAtlasModifyEndpointServiceRequestView:
      properties:
        cloudProvider:
          description: Human-readable label that identifies the cloud service provider
            for the private endpoint service which you want to update.
          enum:
          - AWS
          type: string
        supportedRemoteRegions:
          description: List of regions that the endpoint service supports. Native
            cross region support is implemented for AWS only.
          items:
            description: AWS region name
            type: string
          maxItems: 35
          nullable: true
          type: array
      required:
      - cloudProvider
      type: object
    ApiAtlasNonCompliantResourceView:
      properties:
        orgId:
          description: Unique 24-hexadecimal character string that identifies the
            organization the resource belongs to.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        resourceId:
          description: Unique 24-hexadecimal character string that identifies the
            non-compliant resource.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        resourceName:
          description: Unique human readable string that identifies the non-compliant
            resource.
          readOnly: true
          type: string
        resourcePoliciesCausingNonCompliance:
          description: List of resource policies causing the resource to be considered
            non-compliant.
          items:
            "$ref": "#/components/schemas/ApiAtlasResourcePolicyMetadataView"
          readOnly: true
          type: array
        resourceType:
          description: Human-readable label that displays the type of a resource.
          enum:
          - DEPRECATED_PROJECT
          - DEPRECATED_CLUSTER
          - PROJECT
          - CLUSTER
          readOnly: true
          type: string
      type: object
    ApiAtlasPolicyCreateView:
      properties:
        body:
          description: A string that defines the permissions for the policy. The syntax
            used is the Cedar Policy language.
          example: |2
              forbid (
                principal,
                action == cloud::Action::"cluster.createEdit",
                resource
              ) when {
               context.cluster.regions.contains(cloud::region::"aws:us-east-1")
              };
          minLength: 1
          type: string
      required:
      - body
      type: object
    ApiAtlasPolicyMetadataView:
      properties:
        policyId:
          description: Unique 24-hexadecimal character string that identifies the
            policy.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
      type: object
    ApiAtlasPolicyView:
      properties:
        body:
          description: A string that defines the permissions for the policy. The syntax
            used is the Cedar Policy language.
          example: |2
              forbid (
                principal,
                action == cloud::Action::"cluster.createEdit",
                resource
              ) when {
               context.cluster.regions.contains(cloud::region::"aws:us-east-1")
              };
          readOnly: true
          type: string
        id:
          description: Unique 24-hexadecimal character string that identifies the
            policy.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
      type: object
    ApiAtlasResourcePolicyCreateView:
      properties:
        description:
          description: Description of the atlas resource policy.
          type: string
        name:
          description: Human-readable label that describes the atlas resource policy.
          type: string
        policies:
          description: List of policies that make up the atlas resource policy.
          items:
            "$ref": "#/components/schemas/ApiAtlasPolicyCreateView"
          type: array
      required:
      - name
      - policies
      type: object
    ApiAtlasResourcePolicyEditView:
      properties:
        description:
          description: Description of the atlas resource policy.
          type: string
        name:
          description: Human-readable label that describes the atlas resource policy.
          type: string
        policies:
          description: List of policies that make up the atlas resource policy.
          items:
            "$ref": "#/components/schemas/ApiAtlasPolicyCreateView"
          type: array
      type: object
    ApiAtlasResourcePolicyMetadataView:
      properties:
        policiesCausingNonCompliance:
          description: List of policies that are in conflict with the current state
            of the resource.
          items:
            "$ref": "#/components/schemas/ApiAtlasPolicyMetadataView"
          readOnly: true
          type: array
        resourcePolicyId:
          description: Unique 24-hexadecimal character string that identifies the
            atlas resource policy.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        resourcePolicyName:
          description: Human-readable label that describes the atlas resource policy.
          readOnly: true
          type: string
      type: object
    ApiAtlasResourcePolicyView:
      properties:
        createdByUser:
          "$ref": "#/components/schemas/ApiAtlasUserMetadataView"
        createdDate:
          description: Date and time in UTC when the atlas resource policy was created.
          format: date-time
          readOnly: true
          type: string
        description:
          description: Description of the atlas resource policy.
          readOnly: true
          type: string
        id:
          description: Unique 24-hexadecimal character string that identifies the
            atlas resource policy.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        lastUpdatedByUser:
          "$ref": "#/components/schemas/ApiAtlasUserMetadataView"
        lastUpdatedDate:
          description: Date and time in UTC when the atlas resource policy was last
            updated.
          format: date-time
          readOnly: true
          type: string
        name:
          description: Human-readable label that describes the atlas resource policy.
          readOnly: true
          type: string
        orgId:
          description: Unique 24-hexadecimal character string that identifies the
            organization the atlas resource policy belongs to.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        policies:
          description: List of policies that make up the atlas resource policy.
          items:
            "$ref": "#/components/schemas/ApiAtlasPolicyView"
          readOnly: true
          type: array
        version:
          description: A string that identifies the version of the atlas resource
            policy.
          example: v1
          readOnly: true
          type: string
      type: object
    ApiAtlasSnapshotScheduleView:
      properties:
        clusterCheckpointIntervalMin:
          description: Quantity of time expressed in minutes between successive cluster
            checkpoints. This parameter applies only to sharded clusters. This number
            determines the granularity of continuous cloud backups for sharded clusters.
          enum:
          - 15
          - 30
          - 60
          format: int32
          type: integer
        clusterId:
          description: Unique 24-hexadecimal digit string that identifies the cluster
            with the snapshot you want to return.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          type: string
        dailySnapshotRetentionDays:
          description: Quantity of time to keep daily snapshots. MongoDB Cloud expresses
            this value in days. Set this value to `0` to disable daily snapshot retention.
          enum:
          - 0
          - 3
          - 4
          - 5
          - 6
          - 7
          - 15
          - 30
          - 60
          - 90
          - 120
          - 180
          - 360
          format: int32
          type: integer
        groupId:
          description: Unique 24-hexadecimal digit string that identifies the project
            that contains the cluster.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        links:
          description: List of one or more Uniform Resource Locators (URLs) that point
            to API sub-resources, related API resources, or both. RFC 5988 outlines
            these relationships.
          externalDocs:
            description: Web Linking Specification (RFC 5988)
            url: https://datatracker.ietf.org/doc/html/rfc5988
          items:
            "$ref": "#/components/schemas/Link"
          readOnly: true
          type: array
        monthlySnapshotRetentionMonths:
          description: Number of months that MongoDB Cloud must keep monthly snapshots.
            Set this value to `0` to disable monthly snapshot retention.
          enum:
          - 0
          - 1
          - 2
          - 3
          - 4
          - 5
          - 6
          - 7
          - 8
          - 9
          - 10
          - 11
          - 12
          - 13
          - 18
          - 24
          - 36
          format: int32
          type: integer
        pointInTimeWindowHours:
          description: Number of hours before the current time from which MongoDB
            Cloud can create a Continuous Cloud Backup snapshot.
          format: int32
          type: integer
        snapshotIntervalHours:
          description: Number of hours that must elapse before taking another snapshot.
          enum:
          - 6
          - 8
          - 12
          - 24
          format: int32
          type: integer
        snapshotRetentionDays:
          description: Number of days that MongoDB Cloud must keep recent snapshots.
          enum:
          - 2
          - 3
          - 4
          - 5
          format: int32
          type: integer
        weeklySnapshotRetentionWeeks:
          description: Number of weeks that MongoDB Cloud must keep weekly snapshots.
            Set this value to `0` to disable weekly snapshot retention.
          enum:
          - 0
          - 1
          - 2
          - 3
          - 4
          - 5
          - 6
          - 7
          - 8
          - 12
          - 16
          - 20
          - 24
          - 52
          format: int32
          type: integer
      required:
      - clusterCheckpointIntervalMin
      - clusterId
      - dailySnapshotRetentionDays
      - groupId
      - monthlySnapshotRetentionMonths
      - pointInTimeWindowHours
      - snapshotIntervalHours
      - snapshotRetentionDays
      - weeklySnapshotRetentionWeeks
      type: object
    ApiAtlasUserMetadataView:
      description: The user that last updated the atlas resource policy.
      properties:
        id:
          description: Unique 24-hexadecimal character string that identifies a user.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        name:
          description: Human-readable label that describes a user.
          readOnly: true
          type: string
      readOnly: true
      type: object
    ApiBSONTimestampView:
      description: BSON timestamp that indicates when the checkpoint token entry in
        the oplog occurred.
      properties:
        date:
          description: Date and time when the oplog recorded this database operation.
            This parameter expresses its value in the ISO 8601 timestamp format in
            UTC.
          format: date-time
          readOnly: true
          type: string
        increment:
          description: Order of the database operation that the oplog recorded at
            specific date and time.
          example: 1199145600
          format: int32
          minimum: 1199145600
          readOnly: true
          type: integer
      readOnly: true
      title: BSON Timestamp
      type: object
    ApiCheckpointPartView:
      description: Metadata contained in one document that describes the complete
        snapshot taken for this node.
      properties:
        replicaSetName:
          description: Human-readable label that identifies the replica set to which
            this checkpoint applies.
          readOnly: true
          type: string
        shardName:
          description: Human-readable label that identifies the shard to which this
            checkpoint applies.
          readOnly: true
          type: string
        tokenDiscovered:
          description: Flag that indicates whether the token exists.
          readOnly: true
          type: boolean
        tokenTimestamp:
          "$ref": "#/components/schemas/ApiBSONTimestampView"
        typeName:
          description: Human-readable label that identifies the type of host that
            the part represents.
          enum:
          - REPLICA_SET
          - CONFIG_SERVER
          - CONFIG_SERVER_REPLICA_SET
          readOnly: true
          type: string
      readOnly: true
      type: object
    ApiError:
      properties:
        badRequestDetail:
          "$ref": "#/components/schemas/BadRequestDetail"
        detail:
          description: Describes the specific conditions or reasons that cause each
            type of error.
          type: string
        error:
          description: HTTP status code returned with this error.
          externalDocs:
            url: https://developer.mozilla.org/en-US/docs/Web/HTTP/Status
          format: int32
          readOnly: true
          type: integer
        errorCode:
          description: Application error code returned with this error.
          readOnly: true
          type: string
        parameters:
          description: Parameters used to give more information about the error.
          items:
            type: object
          readOnly: true
          type: array
        reason:
          description: Application error message returned with this error.
          readOnly: true
          type: string
      required:
      - error
      - errorCode
      type: object
    ApiHostView_Atlas:
      properties:
        created:
          description: Date and time when MongoDB Cloud created this MongoDB process.
            This parameter expresses its value in the ISO 8601 timestamp format in
            UTC.
          format: date-time
          readOnly: true
          type: string
        groupId:
          description: Unique 24-hexadecimal digit string that identifies the project.
            The project contains MongoDB processes that you want to return. The MongoDB
            process can be either the `mongod` or `mongos`.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        hostname:
          description: Hostname, fully qualified domain name (FQDN), or Internet Protocol
            address (IPv4 or IPv6) of the host that runs the MongoDB process (`mongod`
            or `mongos`).
          pattern: "^([0-9]{1,3}\\.){3}[0-9]{1,3}|([0-9a-f]{1,4}:){7}([0-9a-f]{1,4})|(([a-z0-9]+\\.){1,10}[a-z]+)?$"
          readOnly: true
          type: string
        id:
          description: Combination of hostname and Internet Assigned Numbers Authority
            (IANA) port that serves the MongoDB process. The host must be the hostname,
            fully qualified domain name (FQDN), or Internet Protocol address (IPv4
            or IPv6) of the host that runs the MongoDB process (`mongod` or `mongos`).
            The port must be the IANA port on which the MongoDB process listens for
            requests.
          pattern: "^([0-9]{1,3}\\.){3}[0-9]{1,3}|([0-9a-f]{1,4}\\:){7}([0-9a-f]{1,4})|(([a-z0-9]+\\.){1,10}[a-z]+)?(\\:[0-9]{4,5})$"
          readOnly: true
          type: string
        lastPing:
          description: Date and time when MongoDB Cloud received the last ping for
            this MongoDB process. This parameter expresses its value in the ISO 8601
            timestamp format in UTC.
          format: date-time
          readOnly: true
          type: string
        links:
          description: List of one or more Uniform Resource Locators (URLs) that point
            to API sub-resources, related API resources, or both. RFC 5988 outlines
            these relationships.
          externalDocs:
            description: Web Linking Specification (RFC 5988)
            url: https://datatracker.ietf.org/doc/html/rfc5988
          items:
            "$ref": "#/components/schemas/Link_Atlas"
          readOnly: true
          type: array
        port:
          description: Internet Assigned Numbers Authority (IANA) port on which the
            MongoDB process listens for requests.
          format: int32
          readOnly: true
          type: integer
        replicaSetName:
          description: Human-readable label that identifies the replica set that contains
            this process. This resource returns this parameter if this process belongs
            to a replica set.
          readOnly: true
          type: string
        shardName:
          description: Human-readable label that identifies the shard that contains
            this process. This resource returns this value only if this process belongs
            to a sharded cluster.
          readOnly: true
          type: string
        typeName:
          description: Type of MongoDB process that MongoDB Cloud tracks. MongoDB
            Cloud returns new processes as `NO_DATA` until MongoDB Cloud completes
            deploying the process.
          enum:
          - REPLICA_PRIMARY
          - REPLICA_SECONDARY
          - RECOVERING
          - SHARD_MONGOS
          - SHARD_CONFIG
          - SHARD_STANDALONE
          - SHARD_PRIMARY
          - SHARD_SECONDARY
          - NO_DATA
          readOnly: true
          type: string
        userAlias:
          description: Human-readable label that identifies the cluster node. MongoDB
            Cloud sets this hostname usually to the standard hostname for the cluster
            node. It appears in the connection string for a cluster instead of the
            value of the hostname parameter.
          readOnly: true
          type: string
        version:
          description: Version of MongoDB that this process runs.
          pattern: "([\\d]+\\.[\\d]+\\.[\\d]+)"
          readOnly: true
          type: string
      type: object
    ApiKey:
      description: Details contained in one API key.
      nullable: true
      properties:
        accessList:
          description: List of network addresses granted access to this API using
            this API key.
          items:
            "$ref": "#/components/schemas/AccessListItemView"
          readOnly: true
          type: array
        id:
          description: Unique 24-hexadecimal digit string that identifies this organization
            API key.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        publicKey:
          description: Public API key value set for the specified organization API
            key.
          maxLength: 8
          minLength: 8
          readOnly: true
          type: string
        roles:
          description: List that contains roles that the API key needs to have. All
            roles you provide must be valid for the specified project or organization.
            Each request must include a minimum of one valid role. The resource returns
            all project and organization roles assigned to the Cloud user.
          items:
            "$ref": "#/components/schemas/CloudAccessRoleAssignment"
          readOnly: true
          type: array
      readOnly: true
      required:
      - accessList
      - id
      - publicKey
      - roles
      type: object
    ApiKeyUserDetails:
      description: Details of the Programmatic API Keys.
      properties:
        desc:
          description: Purpose or explanation provided when someone created this organization
            API key.
          maxLength: 250
          minLength: 1
          type: string
        id:
          description: Unique 24-hexadecimal digit string that identifies this organization
            API key assigned to this project.
          example: 32b6e34b3d91647abb20e7b8
          pattern: "^([a-f0-9]{24})$"
          readOnly: true
          type: string
        links:
          description: List of one or more Uniform Resource Locators (URLs) that point
            to API sub-resources, related API resources, or both. RFC 5988 outlines
            these relationships.
          externalDocs:
            description: Web Linking Specification (RFC 5988)
            url: https://datatracker.ietf.org/doc/html/rfc5988
          items:
            "$ref": "#/components/schemas/Link"
          readOnly: true
          type: array
        privateKey:
          description: Redacted private key returned for this organization API key.
            This key displays unredacted when first created.
          example: 55c3bbb6-b4bb-0be1-e66d20841f3e
          readOnly: true
          type: string
        publicKey:
          description: Public API key value set for the specified organization API
            key.
          example: zmmrboas
          maxLength: 8
          minLength: 8
          readOnly: true
          type: string
        roles:
          description: List that contains the roles that the API key needs to have.
            All roles you provide must be valid for the specified project or organization.
            Each request must include a minimum of one valid role. The resource returns
            all project and organization roles assigned to the API key.
          items:
            "$ref": "#/components/schemas/CloudAccessRoleAssignment"
          type: array
      type: object
    ApiMeasurementsGeneralView_Atlas:
      properties:
        databaseName:
          description: Human-readable label that identifies the database that the
            specified MongoDB process serves.
          readOnly: true
          type: string
        end:
          description: Date and time that specifies when to stop retrieving measurements.
            If you set **end**, you must set **start**. You can't set this parameter
            and **period** in the same request. This parameter expresses its value
            in the ISO 8601 timestamp format in UTC.
          format: date-time
          readOnly: true
[...]
